> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a transfer note

> Change the text of an existing transfer note in your workspace.



## OpenAPI

````yaml api-reference/data-api.json patch /v2/transfers/enrichment/notes/{transferId}
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v2/transfers/enrichment/notes/{transferId}:
    patch:
      tags:
        - Transfer Enrichments
      summary: Update note text
      description: Updates only the note text for an existing transfer note.
      operationId: updateNote
      parameters:
        - name: transferId
          required: true
          in: path
          description: Internal transfer identifier.
          schema:
            type: string
            example: 9359/AX/2352
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTxNoteDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxNoteDto'
components:
  schemas:
    UpdateTxNoteDto:
      type: object
      properties:
        note:
          type: string
          minLength: 1
          maxLength: 500
      required:
        - note
    TxNoteDto:
      type: object
      properties:
        workspaceId:
          type: string
        transferId:
          type: string
        note:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - workspaceId
        - transferId
        - note
        - createdAt
        - updatedAt
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.